package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * ModifyProviderProfileEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ModifyProviderProfileEntity   {
  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("providerSettings")
  private ModifyProviderSettingOpenApiVo providerSettings;

  public ModifyProviderProfileEntity profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * Provider profile name
   * @return profileName
  */
  @ApiModelProperty(value = "Provider profile name")

@Pattern(regexp="^[^ ]$|^[^ ].{0,62}[^ ]$") 
  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public ModifyProviderProfileEntity providerSettings(ModifyProviderSettingOpenApiVo providerSettings) {
    this.providerSettings = providerSettings;
    return this;
  }

  /**
   * Get providerSettings
   * @return providerSettings
  */
  @ApiModelProperty(value = "")

  @Valid

  public ModifyProviderSettingOpenApiVo getProviderSettings() {
    return providerSettings;
  }

  public void setProviderSettings(ModifyProviderSettingOpenApiVo providerSettings) {
    this.providerSettings = providerSettings;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyProviderProfileEntity modifyProviderProfileEntity = (ModifyProviderProfileEntity) o;
    return Objects.equals(this.profileName, modifyProviderProfileEntity.profileName) &&
        Objects.equals(this.providerSettings, modifyProviderProfileEntity.providerSettings);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileName, providerSettings);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyProviderProfileEntity {\n");
    
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    providerSettings: ").append(toIndentedString(providerSettings)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

